/* game.h --- 
 * 
 * Filename: game.h
 * Author: Jules <archjules>
 * Created: Mon Apr 17 23:27:01 2017 (+0200)
 * Last-Updated: Sat Apr 22 21:43:52 2017 (+0200)
 *           By: Jules <archjules>
 */

#ifndef GAME_H
#define GAME_H
#define dclear_hid() drect(0, 0, 128, 6, color_white)
#define dclear_main() drect(0, 6, 128, 58, color_white)
#define dclear_mess() drect(0, 58, 128, 64, color_white)

struct Game {
    int player;
    int corruption[4];
    int money[4];
    int in_course[4];
    int nb_course;

    // Real state
    int religious[4];
    int scholars[4];
    int farmers[4];
    int employees[4];

    // Percentage in real population
    int percentage[4];
};

char * get_name(int);
void game_main(int);
void update_hid();
void main_menu();
void ia(int);
void mesure(int *, int);
void earn_money(int, int);

extern struct Game game_state;
#endif /* GAME_H */
