/* ia.c --- 
 * 
 * Filename: ia.c
 * Author: Jules <archjules>
 * Created: Thu Apr 20 11:43:44 2017 (+0200)
 * Last-Updated: Sat Apr 22 21:43:21 2017 (+0200)
 *           By: Jules <archjules>
 */
#include <stdio.h>
#include <stdlib.h>
#include <display.h>
#include <clock.h>
#include <utils.h>
#include <game.h>

void ia(int player) {
    char buffer[25];
    
    dclear_main();
    snprintf(buffer, 25, "%s joue...", get_name(player));
    center(20, buffer);
    dupdate();

    if (game_state.money[player] > 250) {
	game_state.money[player] -= 250;

	// C'est là où c'est con, il faut que l'IA choisisse l'électorat
	// le plus faible.
	switch(rand() % 4) {
	case 0: mesure(game_state.religious, player); break;
	case 1: mesure(game_state.scholars, player);  break;
	case 2: mesure(game_state.farmers, player);   break;
	case 3: mesure(game_state.employees, player); break;
	}
    } else {
	earn_money(player, rand() % 3);
    }

    update_hid();
    sleep_ms(2000);
}
