/* main.c --- 
 * 
 * Filename: main.c
 * Author: Jules <archjules>
 * Created: Mon Apr 17 11:47:09 2017 (+0200)
 * Last-Updated: Sun Apr 23 17:06:16 2017 (+0200)
 *           By: Jules <archjules>
 */
#include <stdlib.h>
#include <time.h>
#include <display.h>
#include <keyboard.h>
#include <utils.h>
#include <test.h>

extern font_t __modern_font;
extern image_t __banner_img;

/*
 * Point d'entrée du programme; Cette fonction affiche le menu
 * principal et permet de commencer le jeu et de voir la bannière.
 */
int main() {
    int choix = 0;
    key_t key;

    srand(time(NULL));
    text_configure(&__modern_font, color_black);

    while(1) {
	dclear();
	
	dimage(39, 1, &__banner_img);
	dprint(34, 34, "Nouvelle partie");
	dprint(48, 42, "Cr\x13""dits");
	
	dprint(29 + (choix * 14), 34 + (choix * 8), "\x02");
	
	dupdate();
	if (handle_input(&choix, 2) == 1) {
	    if(!choix) {
		// Lancer le test politique, qui lancera le jeu
		test_main();
	    } else {
		// Crédits
		dclear();
		dprint(0, 0, "Jeu et id\x13""e par julese50");
		dprint(0, 6, "Jeu r\x13""alis\x13 \x10 l'occasion");
		dprint(0, 12, "des CPCs #22");
		dupdate();
		
		wait_input();
	    }
	}
    }
}
